## opengles-sgx-omap3 3.01.00.07-0ubuntu2

=== debian/changelog ===
opengles-sgx-omap3 (3.01.00.07-0ubuntu2) maverick; urgency=low

  * change the udev rule to group video and 0660 permissions

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 01 Oct 2010 22:42:20 +0200

opengles-sgx-omap3 (3.01.00.07-0ubuntu1) maverick; urgency=low

  * Initial release, based on OMAP35x_Graphics_SDK_setuplinux_3_01_00_07.bin
  * FFe and needs-packaging (LP: #652347)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 13 Sep 2010 01:44:23 -0300
