=== debian/control ===
Source: opengles-sgx-omap3
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7), libx11-6
Standards-Version: 3.9.1
Section: libs
Homepage: http://software-dl.ti.com/dsps/dsps_public_sw/sdo_sb/targetcontent/gfxsdk/
Vcs-Bzr: lp:~rsalveti/+junk/opengles-sgx-omap3
Vcs-Browser: http://bazaar.launchpad.net/~rsalveti/+junk/opengles-sgx-omap3/files

Package: opengles-sgx-omap3
Section: graphics
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, devmem2, powervr-omap3-dkms
Description: PowerVR SGX libraries -- runtime
 This package contains the common libraries for PowerVR SGX.

Package: opengles-sgx-omap3-dbg
Section: debug
Architecture: armel
Depends: opengles-sgx-omap3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: PowerVR SGX libraries -- debugging symbols
 This package contains the debugging symbols for the common libraries for
 PowerVR SGX.

Package: libegl1-sgx-omap3
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3 (= ${binary:Version})
Provides: libegl1-x11
Conflicts: libegl1-x11
Replaces: libegl1-x11
Description: PowerVR SGX implementation of the EGL API -- runtime
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.

Package: libegl1-sgx-omap3-dbg
Section: debug
Architecture: armel
Depends: libegl1-sgx-omap3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3-dbg (= ${binary:Version})
Description: PowerVR SGX implementation of the EGL API -- debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the debugging symbols for the EGL library.

Package: libgles1-sgx-omap3
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3 (= ${binary:Version})
Provides: libgles1
Conflicts: libgles1
Replaces: libgles1
Description: PowerVR SGX implementation of the OpenGL|ES 1.x API -- runtime
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.

Package: libgles1-sgx-omap3-dbg
Section: debug
Architecture: armel
Depends: libgles1-sgx-omap3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3-dbg (= ${binary:Version})
Description: PowerVR SGX implementation of the OpenGL|ES 1.x API -- debugging symbols
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.

Package: libgles2-sgx-omap3
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3 (= ${binary:Version})
Provides: libgles2
Conflicts: libgles2
Replaces: libgles2
Description: PowerVR SGX implementation of the OpenGL|ES 2.x API -- runtime
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.

Package: libgles2-sgx-omap3-dbg
Section: debug
Architecture: armel
Depends: libgles2-sgx-omap3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3-dbg (= ${binary:Version})
Description: PowerVR SGX implementation of the OpenGL|ES 2.x API -- debugging symbols
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.
 .
 This package contains the debugging symbols for the libGLESv2 library.

Package: libopenvg1-sgx-omap3
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3 (= ${binary:Version})
Provides: libopenvg1
Conflicts: libopenvg1
Replaces: libopenvg1
Description: PowerVR SGX implementation of the OpenVG API -- runtime
 This package contains the PowerVR SGX implementation of the OpenVG 2D
 acceleration library. OpenVG provides a device independent and vendor-neutral
 interface for sophisticated 2D graphical applications, while allowing device
 manufacturers to provide hardware acceleration on devices ranging from wrist
 watches to full microprocessor-based desktop and server machines.

Package: libopenvg1-sgx-omap3-dbg
Section: debug
Architecture: armel
Depends: libopenvg1-sgx-omap3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, opengles-sgx-omap3-dbg (= ${binary:Version})
Description: PowerVR SGX implementation of the OpenVG API -- debugging symbols
 This package contains the PowerVR SGX implementation of the OpenVG 2D
 acceleration library. OpenVG provides a device independent and vendor-neutral
 interface  for sophisticated 2D graphical applications, while allowing device
 manufacturers to provide hardware acceleration on devices ranging from wrist
 watches to full microprocessor-based desktop and server machines.
 .
 This package contains the debugging symbols for the OpenVG library.
