=== debian/watch ===
# Upstream does not release correct versioned tarballs, and it can also require
# registration for download. Usually the latest version can be found at:
#  http://software-dl.ti.com/dsps/dsps_public_sw/sdo_sb/targetcontent/gfxsdk/
