## opengles-sgx-omap3 4.00.00.01-0ubuntu1

=== debian/changelog ===
opengles-sgx-omap3 (4.00.00.01-0ubuntu1) natty; urgency=low

  * New upstream release
    - Compatible with Natty
    - Now the package requires user to accept EULA (LP: #664682)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 12 Apr 2011 02:46:37 -0300
