=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Package: opengles-sgx-omap3
 Section: graphics
 Architecture: armel
+Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends: ${shlibs:Depends}, ${misc:Depends}, devmem2, powervr-omap3-dkms
 Description: PowerVR SGX libraries -- runtime
  This package contains the common libraries for PowerVR SGX.
