=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 		cp $$dir/pvr2d_test debian/tmp/usr/bin/pvr2d_test$$(echo $$dir | sed -e 's/^[a-z_]*//g') ; \
 	done
 	dh_install
+	dh_installdebconf
 
 binary-arch: build install
 	dh_testdir
